Subject: RE: Apologies, and cont of problems compiling perl
From: [email-masked] (Jay Sullivan)

28 Jan 1999 18:57:21 -0800
Message-ID: <000001be4ac9$5a48e080$befba980.cygnus.gnu-win32@fizzx>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: <[email-masked]>

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Jeff Bergan
> Sent: Wednesday, January 27, 1999 5:07 PM
> To: [email-masked]
> Subject: Apologies, and cont of problems compiling perl
>
>
>
> Hi,
>
> Very sorry about my last message being sent in html format.  My
> mailer seems
> to have decided to switch formats without telling me, but I've beaten it
> back into submission (I think!).
>
> I followed the directions posted on comp.lang.perl.misc by Steven Morlock,
> and I did get it to build successfully, passing ~ 90% of the tests.
> However, when I run make install, it still says:
>
> ./perl installperl
> mkdir /usr/local/bin
> /usr/local/bin is not writable by you
> make: *** [install.perl] Error 2
>
> Now, as you can see, it just created /usr/local/bin (I deleted what was
> there to make sure), and then claims it can't write to it.  An ls -l on
> /usr/local/ says:
>
> drwxr-xr-x   2 administ Domain U        0 Jan 27 13:39 bin
> (cropped)
>
> Now, I've tried chmod, which doesn't affect it, I've tried setting the NT
> permissions to give everyone full control, and I've tried using the NT
> properties to take control of the directory, but nothing seems to
> change it,
> or affect ./perl installperl.  Any suggestions?
>
> Jeff
>
> PS.  It still complains during Configure that $d_void_sig is
> "undef", and I
> have no idea if it should be, and also "sh Configure" doesn't perform
> variable substitutions on the .SH files, claiming that they are not there.
> I instead did "sh Makefile.SH" etc, for all the *.SH files.
>
> PPS.  This is NT/SP3, cygwin b20.1, egcs 1.1
>
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
>

Do you have /usr/local/bin as a mount point? If /usr/local/bin is mounted
you need to unmount the directory, mkdir /usr/local/bin and then remount
it. Then install.

James M. Sullivan

UTK:

Department of Physics and Astronomy

The University of Tennessee

1408 Circle Drive

Knoxville, Tennessee 37996-1200

Phone: (423) 974-7801

Fax: (423) 974-7843

[email-masked] <mailto:[email-masked]>

http://web.utk.edu/~jmsulliv <http://web.utk.edu/~jmsulliv>

 

SSD-ORNL:

Solid State Division

Oak Ridge National Laboratory

P.O.Box 2008

Oak Ridge, TN 37831-6032

Phone: (423) 574-5795

Fax: (423) 574-4143

[email-masked] <mailto:[email-masked]>

http://www.ssd.ornl.gov/Scripts/SSDStaffInfo.isa?ID=160
<http://www.ssd.ornl.gov/Scripts/SSDStaffInfo.isa?ID=160>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".